<?php
// Démarrage de la session pour accéder aux variables de session
session_start();

// Vérifier et détruire le cookie utilisateur
if (isset($_COOKIE['userData'])) {
    // Effacer la valeur du cookie
    unset($_COOKIE['userData']);
    // Demander au navigateur de supprimer le cookie
    setcookie('userData', '', time() - 3600, '/');  // Définit l'expiration du cookie à une heure dans le passé
}

// Nettoyer toutes les données de session
$_SESSION = array();  // Efface toutes les données stockées dans la session

// Si vous voulez détruire complètement la session, supprimez également le cookie de session
if (ini_get("session.use_cookies")) {
    $params = session_get_cookie_params();
    setcookie(
        session_name(),
        '',
        time() - 42000,
        $params["path"],
        $params["domain"],
        $params["secure"],
        $params["httponly"]
    );
}

// Finalement, détruire la session
session_destroy();

// Rediriger l'utilisateur vers la page de connexion ou la page d'accueil
header("Location: /account/login");
exit();
?>